Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieLibrarySessionContentStorageManager

    java.lang.Object
      oracle.ifs.server.S_LibrarySessionContentStorageManager
          oracle.ifs.server.S_TieLibrarySessionContentStorageManager

    public class S_TieLibrarySessionContentStorageManager

extends S_LibrarySessionContentStorageManager

S_TieLibrarySessionContentStorageManager allows the Oracle-defined behavior of the S_LibrarySessionContentStorageManager class to be extended or overridden.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibrarySessionContentStorageManager
`CONTEXTROUTERTABLE_TABLENAME`

Constructor Summary
`protected` | `S_TieLibrarySessionContentStorageManager(S_LibrarySession session)` Constructs a S_TieLibrarySessionContentStorageManager.

Method Summary

Methods inherited from class oracle.ifs.server.S_LibrarySessionContentStorageManager
`acquireByteBuffer, deleteFromContextRouter, deleteOldFilteredContent, destroyContent, destroyTextRenditions, dispose, extractContentForIndexing, filterContent, generateSummary, generateThemes, getByteBufferSize, getContentByRandomAccess, getContentReader, getContentStream, getContextTables, getFilteredContent, getIndexName, getLastAccessDate, getNewContentID, getSummary, getThemes, insertIntoContextRouter, invalidateFilteredContent, invalidateSummaries, invalidateThemes, isFullTextIndexingEnabled, registerBfile, registerRandomAccessor, releaseByteBuffer, resolveCharacterSet, retrieveSerializedObject, selectMedia, setContentProperties, storeSerializedObject, syncIndex, unregisterBfile, unregisterRandomAccessor, updateContentByRandomAccess, validateMedia, validateMediaAndSetContent, verifyCanDestroyContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_TieLibrarySessionContentStorageManager

    protected S_TieLibrarySessionContentStorageManager(S_LibrarySession session)
                                                throws IfsException

  Constructs a S_TieLibrarySessionContentStorageManager.

  Parameters:
    `session` - the sesion to which this instance belongs; required
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD